# Uses of Class
org.eclipse.draw2d.geometry.Ray

Packages that use Ray
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.

## Uses of Ray in org.eclipse.draw2d

Methods in org.eclipse.draw2d that return Ray
Modifier and Type
Method
Description
`protected Ray`
ManhattanConnectionRouter.`getDirection(Rectangle r, Point p)`
Returns the direction the point p is in relation to the given rectangle.
`protected Ray`
ManhattanConnectionRouter.`getEndDirection(Connection conn)`
`protected Ray`
ManhattanConnectionRouter.`getStartDirection(Connection conn)`
Methods in org.eclipse.draw2d with parameters of type Ray
Modifier and Type
Method
Description
`protected void`
ManhattanConnectionRouter.`processPositions(Ray start, Ray end, List<Integer> positions, boolean horizontal, Connection conn)`

## Uses of Ray in org.eclipse.draw2d.geometry

Methods in org.eclipse.draw2d.geometry that return Ray
Modifier and Type
Method
Description
`Ray`
Ray.`getAdded(Ray r)`
Deprecated.
Creates a new Ray which is the sum of this Ray with another.
`Ray`
Ray.`getAveraged(Ray r)`
Deprecated.
Creates a new Ray which represents the average of this Ray with another.
`Ray`
Ray.`getScaled(int s)`
Deprecated.
Creates a new Ray which represents this Ray scaled by the amount provided.
Methods in org.eclipse.draw2d.geometry with parameters of type Ray
Modifier and Type
Method
Description
`int`
Ray.`assimilarity(Ray r)`
Deprecated.
Calculates the magnitude of the cross product of this Ray with another.
`int`
Ray.`dotProduct(Ray r)`
Deprecated.
Calculates the dot product of this Ray with another.
`Ray`
Ray.`getAdded(Ray r)`
Deprecated.
Creates a new Ray which is the sum of this Ray with another.
`Ray`
Ray.`getAveraged(Ray r)`
Deprecated.
Creates a new Ray which represents the average of this Ray with another.
`int`
Ray.`similarity(Ray r)`
Deprecated.
Calculates the similarity of this Ray with another.
Constructors in org.eclipse.draw2d.geometry with parameters of type Ray
Modifier
Constructor
Description
``
`Ray(Ray start, Ray end)`
Deprecated.
Constructs a Ray representing the difference between two provided Rays.